## cascading.tuple.hadoop
Class GroupingPartitioner

    java.lang.Object
      cascading.tuple.hadoop.GroupingPartitioner

All Implemented Interfaces:
  JobConfigurable, Partitioner<TuplePair,Tuple>

    public class GroupingPartitioner

extends Object
implements Partitioner<TuplePair,Tuple>

Class GroupingPartitioner is an implementation of `Partitioner`.

Constructor Summary
`GroupingPartitioner()`

Method Summary
`void` `configure(JobConf jobConf)`
`int` `getPartition(TuplePair key, Tuple value, int numReduceTasks)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupingPartitioner

    public GroupingPartitioner()

Method Detail

### getPartition

    public int getPartition(TuplePair key,
                            Tuple value,
                            int numReduceTasks)

  Specified by:
    `getPartition` in interface `Partitioner<TuplePair,Tuple>`

### configure

    public void configure(JobConf jobConf)

  Specified by:
    `configure` in interface `JobConfigurable`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.